package com.ruoyi.manage.mapper;

import com.ruoyi.manage.domain.WarnManage;

import java.util.List;

/**
 * 告警管理Mapper接口
 * 
 * @author boman
 * @date 2025-05-07
 */
public interface WarnManageMapper 
{
    /**
     * 查询告警管理
     * 
     * @param warnId 告警管理主键
     * @return 告警管理
     */
    public WarnManage selectWarnManageByWarnId(Long warnId);

    /**
     * 查询告警管理列表
     * 
     * @param warnManage 告警管理
     * @return 告警管理集合
     */
    public List<WarnManage> selectWarnManageList(WarnManage warnManage);

    /**
     * 新增告警管理
     * 
     * @param warnManage 告警管理
     * @return 结果
     */
    public int insertWarnManage(WarnManage warnManage);

    /**
     * 修改告警管理
     * 
     * @param warnManage 告警管理
     * @return 结果
     */
    public int updateWarnManage(WarnManage warnManage);

    /**
     * 删除告警管理
     * 
     * @param warnId 告警管理主键
     * @return 结果
     */
    public int deleteWarnManageByWarnId(Long warnId);

    /**
     * 批量删除告警管理
     * 
     * @param warnIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWarnManageByWarnIds(Long[] warnIds);
}
